## org.hibernate.envers.revisioninfo
Class ModifiedEntityNamesReader

    java.lang.Object
      org.hibernate.envers.revisioninfo.ModifiedEntityNamesReader

    public class ModifiedEntityNamesReader

extends Object

Returns modified entity names from a persisted revision info entity.

Constructor Summary
`ModifiedEntityNamesReader(Class<?> revisionInfoClass, PropertyData modifiedEntityNamesData)`

Method Summary
`Set<String>` `getModifiedEntityNames(Object revisionEntity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModifiedEntityNamesReader

    public ModifiedEntityNamesReader(Class<?> revisionInfoClass,
                                     PropertyData modifiedEntityNamesData)

Method Detail

### getModifiedEntityNames

    public Set<String> getModifiedEntityNames(Object revisionEntity)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.